Skip to navigation

Create bulk send request

View as Markdown

This method queues envelopes for bulk sending to multiple recipients. It requires an existing bulk send list (created using the BulkSend::createBulkSendList method) and an envelope or templateID.

Consider using the BulkSend::createBulkSendTestRequest method to test your bulk send list against the envelope or template that you want to send first. To learn about the complete bulk send flow, see the Bulk Send overview.

If the envelopes were successfully queued for asynchronous processing, the response contains a batchId that you can use to get the status of the batch. If a failure occurs, the API returns an error message.

Note: The entire batch either queues successfully or fails. Partial success does not occur.

Errors

This method returns the following errors:

Error codeDescription
BULK_SEND_ENVELOPE_NOT_IN_SENDABLE_STATEEnvelope {0} is not in a sendable state. The envelope is not complete. Make sure it has a sendable status, such as created.
BULK_SEND_ENVELOPE_LIST_CONTAINS_NO_COPIESCannot send an envelope with a bulk sending list which contains no copies. The list you’re trying to bulk send is empty. Make sure the bulk sending list you’re using contains recipients.
BULK_SEND_ENVELOPE_LIST_CONTAINS_TOO_MANY_COPIESBulk sending list contains more than {0} copies. The list you’re trying to bulk send will cause your account to exceed the 1,000-copy limit imposed for all accounts. Try sending two or more separate lists.
BULK_SEND_ENVELOPE_CANNOT_BE_NULLCannot send a bulk list without an envelope. Specify the envelope ID or template ID for the envelope you want to bulk send.
BULK_SEND_BLOB_STORE_ERRORCould not save copy of bulk sending list. An error writing to the database occurred. Try again. If the error persists, contact Docusign Support.
BULK_SEND_ACCOUNT_HAS_TOO_MANY_QUEUED_ENVELOPESCannot send this bulk sending list because doing so would exceed the maximum of {maxCopies} in-flight envelopes. This account currently has {unprocessedEnvelopes} envelopes waiting to be processed. Please try again later, or contact Docusign Support to request a higher tier.”
BULK_SEND_ENVELOPE_NOT_FOUNDEnvelope {envelopeOrTemplateId} does not exist or you do not have permission to access it. The envelopeId or templateId specified could not be found. Specify a valid value.
BULK_SEND_LIST_NOT_FOUNDBulk Sending list {listId} does not exist or you do not have permission to access it. The mailingListId specified could not be found. Specify a valid value.
BULK_SEND_ENVELOPE_HAS_NO_RECIPIENTSBulk sending copy contains recipients, but the specified envelope does not. The recipients on the envelope and the bulk send list do not match. Make sure the envelope and list are compatible for sending.
BULK_SEND_RECIPIENT_ID_DOES_NOT_EXIST_IN_ENVELOPERecipient {0} does not exist in the envelope. Add the missing recipient to the envelope.
BULK_SEND_RECIPIENT_ID_DOES_NOT_MATCHRecipient ID {envelopeMember.ID} does not match. Make sure the recipient information in the list and the envelope match up.
BULK_SEND_ENVELOPE_HAS_BULK_RECIPIENTRecipient {0} is a bulk recipient. This is not supported. No legacy ‘bulk recipient’ allowed. In v2.1 of the eSignature API, you must use a bulk send list instead of a bulk recipient. See the API documentation for details.
BULK_SEND_RECIPIENT_ROLE_DOES_NOT_MATCHRecipient Role {envelopeMember.RoleName} does not match. Make sure the recipient information in the list and the envelope is compatible.
BULK_SEND_DUPLICATE_RECIPIENT_DETECTEDDuplicate recipients ({0}) not allowed, unless recipients have unique routing order specified on envelope.
BULK_SEND_ENVELOPE_HAS_NO_TABSBulk sending copy contains tabs, but the specified envelope does not. List and envelope tabs cannot be coalesced. Make sure they are compatible for sending.
BULK_SEND_TAB_LABEL_DOES_NOT_EXIST_IN_ENVELOPETab with label {0} does not exist in envelope. Add the tab label to the envelope, remove the label from the list, or make sure you’re specifying the correct list and envelope.
BULK_SEND_TAB_DOES_NOT_MATCHTab {0} does not match {0} in envelope. A tab exists on the list that does not match or is missing on the envelope. Make sure the tabs on the list and the envelope match.
BULK_SEND_ENVELOPE_HAS_NO_ENVELOPE_CUSTOM_FIELDSBulk sending copy contains custom fields, but the specified envelope does not. There are custom fields on the list that the envelope does not have. Make sure that any custom fields on the list and the envelope match.
BULK_SEND_ENVELOPE_CUSTOM_FIELD_DOES_NOT_EXIST_IN_ENVELOPECustom field {0} does not exist in the envelope. Either add the custom field on the list to the envelope, remove the custom field from the list, or make sure you’re specifying the correct list and envelope.
BULK_SEND_ENVELOPE_CUSTOM_FIELD_NAME_DOES_NOT_MATCHCustom field names must match. {0} and {1} do not match. The custom field names on the list and the envelope do not match. Use identical names for both.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

bulkSendListIdstringRequired
The GUID of the bulk send list. This property is created after you post a new bulk send list.

Request

This endpoint expects an object: bulkSendRequest

batchNamestringOptional

The human-readable name of the batch. If you do not set this value, it defaults to the name property of the bulkSendingList object.

envelopeOrTemplateIdstringOptional
The GUID of the envelope or template that you want to send in bulk.

Response

Successful response.
batchIdstringOptional
A batch identifier that you can use to get the status of the batch.
batchNamestringOptional
batchSizestringOptional
The total number of items in the batch being queried.
envelopeOrTemplateIdstringOptional
The GUID of the envelope or template that was sent.
errorDetailslist of stringsOptional

A human-readable object that describes errors that occur. It is only valid for responses and ignored in requests.

errorslist of stringsOptional
A list of errors that occurred. This information is intended to be parsed by machine.
queueLimitstringOptional
totalQueuedstringOptional

Errors

400
Bad Request Error